import React from 'react';
declare type layoutBlockConfigType = {
    api?: {
        [key: string]: any;
    };
    name: string;
    styles: (selector: string, api: {
        [key: string]: any;
    }) => string;
    template: (Tag: React.FunctionComponent, props: {
        [key: string]: any;
    }, children: React.ReactNode, api: {
        [key: string]: any;
    }) => {};
};
export default function createLayoutBlock(config: layoutBlockConfigType): (props: {
    [key: string]: any;
}) => JSX.Element;
export {};
